﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

body {
    overflow-x: hidden;
}

:root {
    --activecolor: #a8862c; /*Gold Color*/
    --mainbackgroundLoader: #ffffff90;
    --menucolor: #074368; /*Deep Blue Color*/
}

/*style header*/

#clothingDropdown.dropdown-item.active, .dropdown-item:active, #clothingDropdown.dropdown-item:hover {
    color: var(--activecolor);
    background: transparent;
}

.bg-light {
    background-color: var(--menucolor) !important;
    height: 3rem;
    margin-top: 2rem;
}

.contentHeader {
    position: fixed;
    z-index: 99;
    width: 100%;
    box-shadow: 0px 3px 3px 0px rgba(0,0,0,0.2);
    background-color: #ffffff96;
    margin-top: 0;
}

.topRow {
    height: 2rem;
    margin-top: 0.5rem;
}


/*.contentHeader {
    position: fixed;
    z-index: 99;
    width: 100%;
    margin-top: -8rem;
}*/

.pointer {
    cursor: pointer;
}

.logo {
    width: 7.5rem;
    margin-top: -2.5rem;
    transition: all 0.5s;
}

.logoClass {
    margin-top: -6rem;
    transition: all 0.5s;
}

.imgSoc {
    width: 1.7rem;
    margin-left: 0.7rem;
}

.colRight {
    text-align: right;
}

.navbar-light .navbar-nav .nav-link {
    /* padding-top: 2.5rem;*/
    color: #FFF;
    /* font-size: 1.15rem;*/
    padding-left: 0.5rem;
    padding-right: 2rem;
    font-family: 'Kanit', sans-serif;
    font-weight: 400;
}

.nav-item:first-of-type[b-a3pz7h2k3s] {
    padding-top: 0rem !important;
}

.navbar-light .navbar-nav .nav-link:hover {
    color: var(--activecolor);
    font-family: 'Kanit', sans-serif;
    font-weight: 400;
    background-color: transparent;
}


    .navbar-light .navbar-nav .nav-link:hover:before {
        color: #a8862c;
    }


/*.navbar-light ul.navbar-nav li > a:before {
    content: '|';
    margin-right: 15px;
    margin-left: -10px;
    color: black;
}


.navbar-light ul.navbar-nav li > a.noLine:before {
    content: ' ';
}*/

/*#navbarDropdown:hover {
    color: #a8862c;*/
/*font-size: 1.15rem;*/
/*padding-left: 0.5rem;
    padding-right: 1rem;
    cursor: pointer;
}

#navbarDropdown:before {
    content: '|';
    margin-right: 15px;
    margin-left: -10px;
    color: #074368;
}*/


.navbar-light ul.navbar-nav li > a.nav-link.active {
    color: var(--activecolor);
    /*font-size: 1.15rem;*/
    padding-left: 0.5rem;
    padding-right: 2rem;
    font-family: 'Kanit', sans-serif;
    font-weight: 400;
    background-color: transparent;
}

.navbar-nav {
    margin-top: -4rem;
}

ul.clothingSubMenu {
    margin-top: 0 !important;
}

    ul.clothingSubMenu li:before {
        content: '';
        width: 0;
        height: 0;
        background: transparent;
        border: 10px solid;
        border-top-color: transparent;
        border-left-color: transparent;
        border-right-color: transparent;
        /*border-bottom-color: #ffffff96;*/
        border-bottom-color: #e5e5e5;
        top: -1.2rem;
        position: absolute;
        left: 2rem;
    }


/*.dropdown-menu {
    padding: 0;
    background: transparent;
    margin-left: -2rem;
    text-align: center;
    margin-top: -0.1rem;
}

.dropdown-item {
    background: rgba(7,67,104,0.85);
    color: white;
    border-bottom: 1px solid #ffffff;
}

    .dropdown-item:hover {
        color: #a8862c;
    }

    .dropdown-item.activeProduct {
        background: #ffffff;
        color: #a8862c;
    }

    .dropdown-item.activeService {
        background: #ffffff;
        color: #a8862c;
    }*/

/* to remove blue color on selection */
/*.dropdown-menu a:hover, .dropdown-menu a:focus {
    background: #ffffff;
    color: #a8862c;
    filter: none !important;
    -webkit-transition: background 0.4s ease;
    -moz-transition: background 0.4s ease;
    -o-transition: background 0.4s ease;
    transition: background 0.4s ease;
}

.dropdown-menu::after, .dropdown-menu::before {
    border: none !important;
}*/

.bgSearch {
    width: 50%;
    margin-right: 1rem;
}

    .bgSearch input {
        border-radius: 1.5rem;
        background-color: #f1f1f1;
    }

.searchBtn {
    background: transparent;
    border: none;
    margin-left: -4rem;
}

.imgSearch {
    width: 1.5rem;
    margin-top: -0.7rem;
}

ul#navbarUl {
    margin-top: -2rem;
    margin-right: auto;
}

ul.topNavItems li {
    list-style: none;
    display: inline-block;
    margin-left: 1rem;
    margin-top: 0.5rem;
    cursor: pointer;
    font-family: 'Kanit', sans-serif;
    font-weight: 400;
}

    ul.topNavItems li:after {
        content: '|';
        margin-left: 1rem;
    }

    ul.topNavItems li:nth-child(3):after {
        margin-left: 1rem;
        content: ' ';
    }

    ul.topNavItems li:last-child:after {
        content: ' ';
    }

    ul.topNavItems li img {
        width: 1.5rem;
    }

.imgFav:hover {
    content: url('/Images/Icons/Heart-Fill.png');
}

.imgProfile:hover {
    content: url('/Images/Icons/Profile_hover.svg');
}

.imgCart:hover {
    content: url('../Images/Icons/cartActive.png');
}

.w1 {
    width: 1rem !important;
}


.accountSubMenu {
    background-color: #000000ba;
    z-index: 999;
    margin-left: -6rem !important;
    margin-top: 0.7rem !important;
    cursor: default;
}

    .accountSubMenu:before {
        content: '';
        width: 0;
        height: 0;
        background: transparent;
        border: 12px solid !important;
        border-top-color: transparent !important;
        border-left-color: transparent !important;
        border-right-color: transparent !important;
        border-bottom-color: #000000ba !important;
        top: -1.5rem;
        position: absolute;
        left: 5.7rem;
    }

.borderBN {
    border-bottom: none !important;
}

li.favListIcon a.active img.imgFav {
    content: url('../Images/Icons/Heart-Fill.png');
}

li.cartIcon a.active img.imgCart {
    content: url('../Images/Icons/cartActive.png');
}

li.cartIcon a img.imgCartFill, li.cartIcon a.active img.imgCartFill {
    content: url('../Images/Icons/cartFill.png');
}

/* Page Loader */
.se-pre-con {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: var(--mainbackgroundLoader);
}

.loader {
    position: absolute;
    margin: auto;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    color: var(--activecolor);
    font-size: 90px;
    text-indent: -9999em;
    overflow: hidden;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation: load6 1.7s infinite ease, round 1.7s infinite ease;
    animation: load6 1.7s infinite ease, round 1.7s infinite ease;
}

@-webkit-keyframes load6 {
    0% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }

    5%, 95% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }

    10%, 59% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.087em -0.825em 0 -0.42em, -0.173em -0.812em 0 -0.44em, -0.256em -0.789em 0 -0.46em, -0.297em -0.775em 0 -0.477em;
    }

    20% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.338em -0.758em 0 -0.42em, -0.555em -0.617em 0 -0.44em, -0.671em -0.488em 0 -0.46em, -0.749em -0.34em 0 -0.477em;
    }

    38% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.377em -0.74em 0 -0.42em, -0.645em -0.522em 0 -0.44em, -0.775em -0.297em 0 -0.46em, -0.82em -0.09em 0 -0.477em;
    }

    100% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
}

@keyframes load6 {
    0% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }

    5%, 95% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }

    10%, 59% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.087em -0.825em 0 -0.42em, -0.173em -0.812em 0 -0.44em, -0.256em -0.789em 0 -0.46em, -0.297em -0.775em 0 -0.477em;
    }

    20% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.338em -0.758em 0 -0.42em, -0.555em -0.617em 0 -0.44em, -0.671em -0.488em 0 -0.46em, -0.749em -0.34em 0 -0.477em;
    }

    38% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.377em -0.74em 0 -0.42em, -0.645em -0.522em 0 -0.44em, -0.775em -0.297em 0 -0.46em, -0.82em -0.09em 0 -0.477em;
    }

    100% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
}

@-webkit-keyframes round {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes round {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/*End Page Loader*/

@media (max-width:1450px) {
    .navbar-light .navbar-nav .nav-link {
        font-size: 0.8rem;
    }
}

@media (max-width:1200px) {
    /*.logo {
        width: 12rem;
    }*/

    .navbar-light ul.navbar-nav li > a.nav-link.active, .navbar-light .navbar-nav .nav-link {
        font-size: 0.9rem;
    }

    #navbarDropdown:hover {
        font-size: 0.9rem;
    }

    .dropdown-item {
        font-size: 0.9rem;
    }

    .navbar-light .navbar-nav .nav-link {
        font-size: 0.8rem;
        padding-right: 1.7rem !important;
    }
}

#CatItemsMob {
    display: none;
}

@media (max-width:991px) {
    #CatItemsDesktop {
        display: none;
    }

    #CatItemsMob {
        display: block;
    }

    .bg-light {
        height: auto;
    }

    .navbar-light ul.navbar-nav li > a.nav-link.active, .navbar-light .navbar-nav .nav-link {
        /*font-size: 1.15rem;*/
    }

    .dropdown-item {
        /*font-size: 1.15rem;*/
    }

    #navbarDropdown:hover {
        /*font-size: 1.15rem;*/
    }

    .navbar-nav {
        margin-top: 0;
    }

    .navbar-light ul.navbar-nav li > a:before {
        content: ' ';
    }

    .dropdown-menu {
        /*width: 100%;*/
        margin-left: 0;
    }

    .navbar-light ul.navbar-nav li > a.nav-link.active {
        padding-top: 0.5rem;
    }

    .navbar-light .navbar-nav .nav-link {
        padding-top: 0.5rem;
    }

    .contentHeader {
        position: relative;
        margin-top: 0;
    }

    #navbarDropdown:before {
        content: ' ';
    }

    #navbarDropdown:hover {
        padding-top: 0.5rem;
    }

    .navbar-light .navbar-nav .nav-link:hover > span.phone, .navbar-light .navbar-nav .nav-link:hover > span.email, .navbar-light .navbar-nav .nav-link:hover > i {
        color: #a8862c !important;
        cursor: pointer !important;
    }

    .contentHeader > .bgBlack {
        display: none;
    }

    .phone, .email {
        color: black;
    }

    ul#navbarUl {
        margin-top: 0;
    }

    .accountSubMenu {
        margin-left: -1.5rem !important;
    }

        .accountSubMenu:before {
            left: 1.25rem;
        }
}

@media (max-width: 576px) {
    /*start top navmenu*/
    .topRow {
        height: 6rem;
    }

    .bgSearch {
        width: 100%;
        margin-right: 1rem;
        margin-top: 1rem;
    }

    .flexCol {
        flex-direction: column !important;
    }

    .imgSearch {
        margin-top: -2rem;
        float: right;
        margin-right: 1rem;
    }

    .topNavItems {
        width: 100%;
        padding-left: 0;
        margin-top: 1rem;
    }

    .logo {
        width: 5.5rem;
    }
    /*end top navmenu*/

}

/*end style header*/

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

@media (min-width: 1700px) {
    .container {
        max-width: 1500px;
    }
}
